--- title: "createBlockStorageSnapshotInstance" slug: "compute-vserver-snapshot-createblockstoragesnapshotinstance" tags: ["Server", "Block Storage"] updated: 2026-09-17T10:06:00Z published: 2026-09-17T10:06:00Z canonical: "api.ncloud-docs.com/compute-vserver-snapshot-createblockstoragesnapshotinstance" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # createBlockStorageSnapshotInstance Available in VPC Create a block storage snapshot instance. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /vserver/v2/createBlockStorageSnapshotInstance | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all Server APIs, see [Server request headers](/docs/en/compute-vserver#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code - See [getBlockStorageInstanceList](/docs/en/compute-vserver-storage-getblockstorageinstancelist). - First Region of the query result (default) - Snapshots can be created in the Region where the block storage is located. | | `blockStorageSnapshotName` | String | Optional | Snapshot name - Enter 3 to 30 characters using a combination of English letters, numbers, and the special characters "-" and "_". - The string must start with an English letter and end with an English letter or a number. - Auto-generated on no input (default) | | `blockStorageSnapshotDescription` | String | Optional | Snapshot description (byte) - 0-1000 | | `originalBlockStorageInstanceNo` | String | Required | Source storage instance number - See [getBlockStorageInstanceList](/docs/en/compute-vserver-storage-getblockstorageinstancelist). | | `snapshotTypeCode` | String | Optional | Snapshot type code - `FULL` (default) \| `INCREMENTAL` - `FULL`: full storage snapshot - `INCREMENTAL`: incremental snapshot - Incremental snapshots can be taken after a full snapshot is created. - Up to 7 incremental snapshots can be created. | | `responseFormatType` | String | Optional | Format of the response data - `xml` (default) \| `json` | ### Request example The request example is as follows: ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vserver/v2/createBlockStorageSnapshotInstance ?regionCode=KR &blockStorageSnapshotName=snapshot-test &originalBlockStorageInstanceNo=*****3168 &snapshotTypeCode=FULL &responseFormatType=json' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `createBlockStorageSnapshotInstanceResponse` | Object | - | Response result - See [BlockStorageSnapshotInstanceList](/docs/en/common-vapidatatype-blockstoragesnapshotinstancelist). | | `createBlockStorageSnapshotInstanceResponse.requestId` | String | - | ID for the request - UUID format | | `createBlockStorageSnapshotInstanceResponse.returnCode` | String | - | Response code | | `createBlockStorageSnapshotInstanceResponse.returnMessage` | String | - | Response message | ### Response status codes For information about the response status codes common to all Server APIs, see [Server response status codes](/docs/en/compute-vserver#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "createBlockStorageSnapshotInstanceResponse": { "totalRows": 1, "blockStorageSnapshotInstanceList": [ { "blockStorageSnapshotInstanceNo": "*****4323", "blockStorageSnapshotName": "snapshot-test", "blockStorageSnapshotVolumeSize": 10737418240, "originalBlockStorageInstanceNo": "*****3168", "blockStorageSnapshotInstanceStatus": { "code": "INIT", "codeName": "Block storage INIT status" }, "blockStorageSnapshotInstanceOperation": { "code": "CREAT", "codeName": "Block storage CREAT OP" }, "blockStorageSnapshotInstanceStatusName": "creating", "createDate": "2025-06-25T16:50:14+0900", "isEncryptedOriginalBlockStorageVolume": false, "snapshotType": { "code": "FULL", "codeName": "Full Storage Snapshot" }, "snapshotChainDepth": 0, "isBootable": false, "hypervisorType": { "code": "KVM", "codeName": "KVM" }, "blockStorageVolumeType": { "code": "CB1", "codeName": "Common BlockStorage 1" } } ], "requestId": "bd72f843-****-****-****-3a56b6bf2a69", "returnCode": "0", "returnMessage": "success" } } ```